{
    File Name    : SReplace
	Package Name : Subroutine Library - Layer 5
	Purpose      : Standard Replace dialog.
	Institution  : Conroy & Conroy
	Date Written : 21-Jul-1990
	Written By   : Alan Conroy
	Version      : 2.2

        Copyright (C) 1990 by Alan Conroy.  Released to the Public Domain.

	TO THE GLORY OF GOD THROUGH JESUS CHRIST

	*********************************************************
	*                                                       *
	*        M O D I F I C A T I O N   H I S T O R Y        *
	*                                                       *
	*********************************************************

	     DATE      BY             REASON

        *********************************************************
	*                                                       *
	*           P R O G R A M   P U R P O S E               *
	*                                                       *
	*********************************************************

	  Standard replace dialog.
}

unit SReplace ;

interface

uses // Borland...
     Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
     Buttons, ExtCtrls,

     // Subroutine Library - Layer 4
     TDialogs ; // TDialog

type
  TReplace_Dialog = class(TDialog)
    HelpBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Case_Sensitive: TCheckBox;
    GroupBox1: TGroupBox;
    Search_Current: TRadioButton;
    Search_Entire: TRadioButton;
    BitBtn1: TBitBtn;
    Replace_Prompt: TCheckBox;
    procedure HelpBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  end ;

var Replace_Dialog : TReplace_Dialog = nil ;

implementation

uses // C&C Subroutine Library - Layer 0...
     L10N ; // Text_*

{$R *.DFM}

procedure TReplace_Dialog.HelpBtnClick( Sender : TObject ) ;

begin
    Application.HelpContext( HelpContext ) ;
end ;


procedure TReplace_Dialog.FormShow(Sender: TObject);

begin
    Caption := Text_Caption_Replace ;
    Label1.Caption := Text_Text_To_Search_For ;
    Label2.Caption := Text_Text_To_Substitute ;
    HelpBtn.Caption := Text_Button_Caption_Help_Amp ;
    Case_Sensitive.Caption := Text_Case_Sensitive ;
    GroupBox1.Caption := Text_Scope ;
    Search_Current.Caption := Text_Search_From_Current_Position ;
    Search_Entire.Caption := Text_Search_Entire_File ;
    BitBtn1.Caption := Text_Button_Caption_Replace ;
    Replace_Prompt.Caption := Text_Prompt_On_Replace ;
end ;


end.

