/*
        Program Name : _UE
        Package Name : Subroutine Library - Layer 0
        Purpose      : UE definitions
        Institution  : Conroy & Conroy Co.
        Date Written : 9-Feb-2013
        Last Modified:
        Written By   : Alan Conroy
        Version      : 1.0

        Copyright (C) 2014 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

	  This unit provides definitions for UE (Unified Exceptions).
*/

class TUnified_Exception
{
	public:
		virtual TUnified_Exception* __stdcall Initialize() = 0 ;
		virtual void __stdcall Terminate() = 0 ;
		virtual void __stdcall Attach() = 0 ;
		virtual void __stdcall Detach() = 0 ;
		virtual bool __stdcall Is_Class( char* Name ) = 0 ;
		virtual long __stdcall Interface_Version() = 0 ;
		virtual long __stdcall Get_Facility() = 0 ;
		virtual long __stdcall Get_Facility_Version() = 0 ;
		virtual long __stdcall Version() = 0 ;
		virtual TDebug_Interface* __stdcall Debugger() = 0 ;
		virtual long __stdcall Severity() = 0 ;
		virtual char* __stdcall Error_Text( long &Size, long &Typ ) = 0 ;
		virtual long __stdcall Get_Error() = 0 ;
		virtual TUnified_Exception* __stdcall Get_Previous() = 0 ;
} ;

