/*
        Program Name : CompInt
        Package Name : LB
        Purpose      : Compiler Interface
        Institution  : Conroy & Conroy Co.
        Date Written : 20-Feb-2004
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2004-2009 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This abstract class defines the interface passed to a compiler.
*/

#ifndef COMPINTH
    #define COMPINTH

#include "eDefines.h"
#include "_files.h"
#include "_loggers.h"

class TCOM_Compiler_Interface : public TLogger
{
                                public: // API...
                                    virtual PSFile __stdcall Get_File( char* Nam ) = 0 ;
                                    virtual void __stdcall Release_File( PSFile P ) = 0 ;
};

#endif
