{
              Program Name : INPUTLINE
              Package Name : LB
              Purpose      : Get a string of input with/without echoing it
              Institution  : Conroy & Conroy
              Date Written : 03-Sep-87
              Written By   : Alan Conroy
              Version      : 1.0

              TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *********************************************************
        *                                                       *
        *        M O D I F I C A T I O N   H I S T O R Y        *
        *                                                       *
        *     DATE      BY             REASON                   *
        *                                                       *
        *********************************************************

        *********************************************************
        *                                                       *
        *           P R O G R A M   P U R P O S E               *
        *                                                       *
        *********************************************************

          This function returns a string of input after taking it with or
        without echo.  Ending delimeters are returned as well.

        *********************************************************
        *                                                       *
        *            F I L E   D E S C R I P T I O N S          *
        *                                                       *
        *********************************************************

}

Function Input_Line( X : Integer ) : Edit_String ;

Var Accumulate : Edit_String ;
    Count : Integer ;
    Reg : Char ;
    Reg_Ax : Integer ;

Label Loop ;

Begin
    Count := 1 ;
Loop :
    Read( Kbd, Reg ) ;
    Reg_Ax := Ord( Reg ) And 127 ;
    Accumulate[ Count ] := Chr( Reg_Ax ) ;
    Count := Count + 1 ;
    If ( Reg_Ax = 10 ) Or ( Reg_Ax = 13 ) Or ( Reg_Ax = 12 ) Or ( Reg_Ax = 27 ) Then
    {LF, CR, FF, ESC are delimiters}
    Begin
        If X <> 0 Then If Reg_Ax = 27 Then Write( '$' ) Else Write( Reg ) ;
        If Reg_Ax = 13 Then
        Begin
            Accumulate[ Count ] := Chr( 10 ) ;
            Count := Count + 1 ;
            If X <> 0 Then Write( Chr( 10 ) )
        End ;
        If Reg_Ax = 10 Then
        Begin
            Accumulate[ Count ] := Chr( 13 ) ;
            Count := Count + 1 ;
            If X <> 0 Then Write( Chr( 13 ) )
        End ;
        Accumulate[ 0 ] := Chr( Count - 1 ) ;
        Input_Line := Accumulate ;
        Exit
    End ;
    If Reg_Ax = 21 Then {Control-U}
    Begin
        Count := 1 ;
        If X <> 0 Then Writeln( '^U' ) ;
        Goto Loop
    End ;
    If Reg_Ax = 127 Then {Delete}
    Begin
        Count := Count - 2 ;
        If Count < 1 Then Count := 1 ;
        If X <> 0 Then Write( ' ' ) ;
        Goto Loop
    End ;
    If Count = 254 Then
    Begin
        Write( '' ) ; {End of input buffer}
        Count := Count - 1 ;
        Goto Loop
    End ;
    If X <> 0 Then Write( Reg ) ;
    Goto Loop
End ;
