{
          File Name    : SaveEdit
	      Package Name : Subroutine Library - Layer 5
	      Purpose      : Standard save modifications dialog
	      Institution  : Conroy & Conroy
	      Date Written : 21-Jul-1990
	      Written By   : Alan Conroy
	      Version      : 2.2

              Copyright (C) 1990 by Alan Conroy.  Released to the public domain.

	      TO THE GLORY OF GOD THROUGH JESUS CHRIST

	*********************************************************
	*                                                       *
	*        M O D I F I C A T I O N   H I S T O R Y        *
	*                                                       *
	*********************************************************

	     DATE      BY             REASON

    *********************************************************
	*                                                       *
	*           P R O G R A M   P U R P O S E               *
	*                                                       *
	*********************************************************

	  Save modifications confirmation dialog.
}

unit SaveEdit ;

interface

uses // Borland...
     Windows,
     SysUtils,
     Classes,
     Graphics,
     Forms, // TForm
     Controls,
     StdCtrls, // TLabel
     Buttons, // TButton
     ExtCtrls,

     // Subroutine Library - Layer 4
     TDialogs ; // TDialog

type
  TSave_Modified_Dialog = class( TDialog )
    HelpBtn: TButton;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure HelpBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end ;

var Save_Modified_Dialog : TSave_Modified_Dialog = nil ;

implementation

uses // C&C Subroutine Library - Layer 0...
     L10N ; // Text_*

{$R *.DFM}

procedure TSave_Modified_Dialog.HelpBtnClick( Sender : TObject ) ;

begin
    Application.HelpContext( HelpContext ) ;
end ;


procedure TSave_Modified_Dialog.FormCreate(Sender: TObject);

begin
    Caption := Text_Caption_File_Has_Changed ;
    Label1.Caption := Text_Save_Changes_To1 ;
    HelpBtn.Caption := Text_Button_Caption_Help_Amp ;
    Button1.Caption := Text_Button_Caption_Cancel ;
    Button2.Caption := Text_Button_Caption_Yes ;
    Button3.Caption := Text_Button_Caption_No ;
end ;


end.

