{ A regression test program for all of LB units }

program TestLB ;

{$IFDEF FPC}
  {$MODE DELPHI}
{$ENDIF}

{$I EDEFINES.INC}

uses // Layer 0 - Object model layer...
     _Octal,
     _TSRs,
     _Types,
     TypeDefs,
     _ASCII,

     ASCIIDef,
     Collect,
     L10n,

     _Common,
     _DebugIn,
     _GenVal,
     _NameVal,
     _ObjectF,
     _Propert,
     _RGB,
     _Streams,
     _TestInt,
     _UE,

     _COMInter,
     COMInter,
     _COMLists,
     COMLists,
     CommBase,
     Streams,
     _TE_Interface,

     // Layer 1 - Utility layer...
     _AEL,
     ArrayInt,
     Behavior,
     BehavMan,
     Button_2D,
     _Cache,
     Cache,
     _CacheMa,
     CacheMan,
     _Colors,
     Commands,
     CommonUt,
     Compress,
     CVT,
     DebugInt,
     DebugMa,
     Disk,
     EBCDICs,
     English,
     Format,
     Heaps,
     Instrs,
     MStores,
     NameVals,
     Num1s,
     Operatio,
     _Deferred,
     _Events,
     _FacMan,
     _Fonts,
     _Languag,
     _Lib,
     _Loggers,
     _ObjectM,
     _Stores,
     Radix50s,
     Randoms,
     RGB,
     RPG_Character,
     Soundx,
     SpellChk,
     SStreams,
     Symbols,
     _TPM,
     UE,
     _Validate,

     _Applic,
     _Buffers,
     Compatib,
     Decorations,
     Deferred,
     _DevMan,
     DPropert,
     ExtentSt,
     _Chars,
     _Files,
     _FiP,
     FStreams,
     _OS,
     TSRS,
     Devman,
     _FileSys,
     FSError,
     Language,
     Maths,
     Stores,
     Weather,
     XLate,

     RAMDisk,
     VCL_Std,

     // Layer 2 - Application framework layer...
     _APM,
     _CompInt,
     _DebugMa,
     _TestMa,
     Test,

     AEL,
     APM,
     TestMan,
     _UOS_File_System,

     // Layer 3 - Platform abstraction layer...
//     OS_DOS,
     OS_Windows,
     OSWinDeb,

     Allocatr,
     Allocatr64,
     Allocation_Cluster_Manager,
     Applic,
     Database,
     Dates,
     Filestd,
     FileSys,
     FiP,
     FSFH,
     GetChars,
     GIO,
     Intlist64,
     MSWin,
     O_S,
     Parse,
     SMUBIOS,
     Standard,
     UStrings,
     Wildcard,
     WinAPI,
     WinEvents,

     // Layer 4 - Application layer...
     B_Dialog_Button_Nav,
     B_Dialog_Default_Key,
     B_Horizontal_Spacing,
     BigFH,
     CRCs,
     Express,
     ExtStore,
     GenVal,
     HTML,
     LoadArra,
     MemStore,
     Menu_2D,
     Menu_Popup_Form,
     Misc,
     ObjectFa,
     Outlines,
     Performa,
     SMU,
     StorHeap,
     _StoreLis,
     StoreLis,
     Structur,
     Tables,
     TDialogs,
     UEditor,
     VCLDebug,

     // Layer 5 - GUI layer...
     ArrayDis,
     Array_Display_Main,
     Editor_Panel,
     EditPref,
     EditWin,
     LineNumb,
     Output_Panel,
     SaveEdit,
     ScrollPanel,
     Sizable_Speed_Button,
     SMU_Pane,
     SReplace,
     SSearch,
     TPanels,

  // Other....
  HeapBuff,
  Integers,
  Media,
  DB_B3,
  DBBinary,
  DBList,
  FileDB,
  Helps,
  Lines,
  R2D,
  R3D,
//  SCUInc,
//  SCULib,
//  Lib,
//  Backups,
//  CDDLib,
  //UOSFSFil,
  TEU ;


begin
{$IFDEF CC_Regression_Test}
StoreLis.Test_Unit ;
UOSFSFil.Test_Unit ;
    { Layer 0... }
    CommBase.Test_Unit ;

    { Layer 1... }
    DebugInt.Test_Unit ;
    CommonUt.Test_Unit ;
    CVT.Test_Unit ;
    Collect.Test_Unit ;
    Num1s.Test_Unit ;
    Compatib.Test_Unit ;
    CacheMan.Test_Unit ;
    VCL_Std.Test_Unit ;
    AEL.Test_Unit ;
    Stores.Test_Unit ;
    MStores.Test_Unit ;
    Heaps.Test_Unit ;
    _Applic.Test_Unit ;
    Applic.Test_Unit ;
    _TPM.Test_Unit ;

    { Layer 2... }
    ExtStore.Test_Unit ;

    { Other... }
    Structur.Test_Unit ;
    UStrings.Test_Unit ;
    ExtStore.Test_Unit ;
    Outlines.Test_Unit ;
    StoreLis.Test_Unit ;
    Dates.Test_Unit ;

    Format.Test_Unit ;
    SpellChk.Test_Unit ;
{    SMU.Test_Unit ;
}
    UEditor.Test_Unit ;
{$ENDIF}
end.
